Delete a custom risk score

deletehttps://app.fossa.com/api/custom-risk-scores/{issueId}

Deletes an existing custom risk score for a vulnerability issue within a specific scope (project or release group).

Path parameters

issueIdintegerrequired

ID of the vulnerability issue

Query parameters

scope[type]enumrequired

Scope type for the custom risk score

projectrelease_group
scope[id]stringrequired

Project locator or release group ID

Responses

204Custom risk score successfully deleted
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

DELETE https://app.fossa.com/api/custom-risk-scores/1
curl --request DELETE \  --url 'https://app.fossa.com/api/custom-risk-scores/1' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

issueIdintegerrequired

ID of the vulnerability issue

Query params

scope[type]enumrequired

Scope type for the custom risk score

scope[id]stringrequired

Project locator or release group ID